Bug 11 - shutdown -F failsfr works
shutdown -F failsfr works
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
: Reopened
: 694 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-11-09 11:30 EST by David Lawrence
Modified: 2016-07-05 10:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 01:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 1998-11-09 11:30:49 EST
shutdown -F should write a file, /forcefsck which should
then be looked at by the boot proces to force an fsck.
According to Dr Mike, it did this in 5.1, but does it not
in 5.2.  There are other ways to accomplish the aim, but
right now the shutdown man page says that -F will force a
check and it doesn't.
Comment 1 Bill Nottingham 1999-01-05 15:14:59 EST
*** Bug 11 has been marked as a duplicate of this bug. ***

'shutdown -F' touches /forcefsck in order to force an fsck
of all filesystems on reboot.  The init scripts should
notice this file and execute the fsck -- they do not.  It is
currently impossible to force an fsck of all filesystems at
boot time.  This functionality is insensive to the
filesystem type.  This functionality worked on a previous
version of
RedHat.

There is a reference to a /fsckoptions file in the init
scripts, but this file is almost useless as it passes its
options to all filesystems which is generally not
appropriate.
Comment 2 Bill Nottingham 1999-02-05 12:35:59 EST
should be fixed in initscripts-3.84.
Comment 3 Fedora Update System 2016-06-21 22:23:28 EDT
softhsm-2.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40cd1f94ba
Comment 4 Fedora Update System 2016-06-22 08:32:49 EDT
softhsm-2.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c43dd0091f
Comment 5 Fedora Update System 2016-06-22 08:33:11 EDT
softhsm-2.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-376bda6d1d
Comment 6 Fedora Update System 2016-06-22 18:56:27 EDT
softhsm-2.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40cd1f94ba
Comment 7 Fedora Update System 2016-06-22 18:59:28 EDT
softhsm-2.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c43dd0091f
Comment 8 Fedora Update System 2016-06-22 19:02:34 EDT
softhsm-2.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-376bda6d1d
Comment 9 Fedora Update System 2016-07-05 01:00:03 EDT
softhsm-2.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-07-05 04:25:31 EDT
softhsm-2.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-07-05 10:22:12 EDT
softhsm-2.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.